from setuptools import setup, find_packages

setup(
    name="WaveYT",
    version="0.1.2",
    author="Om Pandey",
    author_email="iamompandey.it@gmail.com",
    description="A simple YouTube video downloader using yt_dlp",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/ompandey07/FinixDev",
    packages=find_packages(),
    install_requires=["yt-dlp"],
    entry_points={
        "console_scripts": [
            "waveyt=waveyt.downloader:download_youtube_video",
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
)
